# Do not edit this file manually!
# It will be overwritten by the ALTER SYSTEM command.
listen_addresses = '*'
max_connections = '1000'
ssl = 'off'
port = '5432'
fsync = 'on'
full_page_writes = 'on'
synchronous_commit = 'off'
checkpoint_timeout = '15min'
checkpoint_warning = '3min'
checkpoint_completion_target = '0.9'
row_security = 'off'
max_parallel_workers_per_gather = '0'
max_worker_processes = '48'
bgwriter_lru_multiplier = '4'
effective_io_concurrency = '128'
maintenance_io_concurrency = '128'
huge_pages = 'try'
default_statistics_target = '100'
seq_page_cost = '1'
random_page_cost = '1.1'
from_collapse_limit = '20'
join_collapse_limit = '20'
geqo = 'on'
geqo_threshold = '12'
jit = 'off'
autovacuum = 'on'
log_autovacuum_min_duration = '5s'
autovacuum_naptime = '20s'
autovacuum_vacuum_insert_scale_factor = '0.01'
autovacuum_vacuum_cost_delay = '2ms'
plantuner.fix_empty_table = 'on'
default_toast_compression = 'lz4'
wal_level = 'minimal'
max_wal_senders = '0'

autovacuum_analyze_scale_factor = '0.005'
autovacuum_analyze_threshold = '464'
autovacuum_freeze_max_age = '500000000'
autovacuum_max_workers = '11'
autovacuum_vacuum_cost_limit = '4616'
autovacuum_vacuum_insert_threshold = '984'
autovacuum_vacuum_scale_factor = '0.003'
autovacuum_vacuum_threshold = '2462'
max_wal_size = '28GB'
min_wal_size = '7434MB'
commit_delay = '1590'
commit_siblings = '25'
wal_buffers = '120MB'
wal_compression = 'lz4'
wal_log_hints = 'on'
wal_writer_delay = '2293ms'
wal_writer_flush_after = '28MB'
max_parallel_maintenance_workers = '9'
max_parallel_workers = '13'
vacuum_cost_delay = '10ms'
vacuum_cost_limit = '8000'
autovacuum_work_mem = '4090MB'
hash_mem_multiplier = '8'
maintenance_work_mem = '4893MB'
shared_buffers = '93GB'
temp_buffers = '189MB'
work_mem = '378MB'
max_files_per_process = '15391'
bgwriter_delay = '115ms'
bgwriter_lru_maxpages = '718'
effective_cache_size = '279GB'
idle_in_transaction_session_timeout = '86400000'
statement_timeout = '86400000'
superuser_reserved_connections = '4'
wal_keep_size = '7722MB'
wal_sender_timeout = '300s'
max_logical_replication_workers = '14'
max_sync_workers_per_subscription = '9'
wal_receiver_timeout = '300s'
max_locks_per_transaction = '1822'

enable_index_path_selectivity = 'on'
enable_join_pushdown = 'on'
enable_pullup_exists_sublink = 'on'

log_filename = 'postgresql-%F.log'
log_line_prefix = '%m [%p:%v] [%d] %r %a '
log_lock_waits = 'on'
lc_messages = 'en_US.UTF-8'
track_io_timing = 'on'
logging_collector = 'on'
log_statement = 'none'
log_min_messages = 'warning'
log_destination = 'stderr'
deadlock_timeout = 1000ms

shared_preload_libraries = 'auto_explain'

auto_explain.log_buffers = 'on'
auto_explain.log_verbose = 'on'
auto_explain.log_analyze = 'on'
auto_explain.log_level = 'LOG'
auto_explain.log_nested_statements = 'on'
auto_explain.log_timing = 'on'
auto_explain.log_min_duration = '1000'

#temp_tablespaces = 'tmp_space_17'
temp_tablespaces = 'temp'

